module Enlight
  module Models
    class Class < Enlight::Models::Model
      attr_accessor :external_id
      attr_accessor :name
      attr_accessor :description
      attr_accessor :html_description
      attr_accessor :enabled
      attr_accessor :confirmation_status_id
      attr_accessor :course_id
      attr_accessor :organization_id
      attr_accessor :company_id
      attr_accessor :delivery_type_id
      attr_accessor :virtual_meeting_host_id
      attr_accessor :virtual_meeting_id
      attr_accessor :primary_instructor_id
      attr_accessor :primary_classroom_id
      attr_accessor :materials_list_id
      attr_accessor :start
      attr_accessor :end
      attr_accessor :min_students
      attr_accessor :max_students
      attr_accessor :allow_self_enrollment
      attr_accessor :available_to_all_organizations
      attr_accessor :is_public
      attr_accessor :disable_labs
      attr_accessor :enable_enrollment_notifications
      attr_accessor :is_unique_delivery
      attr_accessor :recording_mode_id
      attr_accessor :custom_text_1
      attr_accessor :custom_text_2
      attr_accessor :custom_text_3
      attr_accessor :custom_text_4
      attr_accessor :custom_text_5
      attr_accessor :custom_bool_1
      attr_accessor :custom_bool_2
      attr_accessor :custom_bool_3
      attr_accessor :custom_bool_4
      attr_accessor :custom_bool_5
      attr_accessor :custom_dropdown_1
      attr_accessor :custom_dropdown_2
      attr_accessor :survey_id
      attr_accessor :survey_availability_start_hours
      attr_accessor :survey_availability_end_days
      attr_accessor :instructor_survey_id
      attr_accessor :organization_survey_id
      attr_accessor :organization_survey_response_id
      attr_accessor :classroom_address_1
      attr_accessor :classroom_address_2
      attr_accessor :classroom_city
      attr_accessor :classroom_state
      attr_accessor :classroom_country
      attr_accessor :classroom_zip
      attr_accessor :custom_fields
      attr_accessor :session_times

      def session_times=(value)
        if value.instance_of?(Array) && value.any?
          @session_times = []
          value.each {|v| Enlight::Models::SessionTime.new(v)}
        else
          @session_times = nil
        end
      end
    end
  end
end