module Enlight
  module Models
    class SurveyResponse < Enlight::Models::Model
      attr_accessor :course_id
      attr_accessor :class_id
      attr_accessor :class
      attr_accessor :class_start_date
      attr_accessor :class_end_date
      attr_accessor :instructor_name
      attr_accessor :instructor_email
      attr_accessor :student_name
      attr_accessor :student_email
      attr_accessor :question_and_responses

      def question_and_responses=(value)
        if value.instance_of?(Array) && value.any?
          @question_and_responses = []
          value.each {|v| @question_and_responses.append(Enlight::Models::QuestionAndResponse.new(v))}
        else
          @question_and_responses = nil
        end
      end
    end
  end
end